// 配置文件

const env=uni.getAccountInfoSync().miniProgram

let baseApiUrl=''// 请求根路径
let h5BaseUrl=''// h5页面根路径
let pcBaseUrl=''//pc页面根路径
if(env.envVersion==='develop'){//开发
    baseApiUrl='http://8.136.199.33:8612/api'
    h5BaseUrl='http://xcxh5test.hzinsights.com/xcx_h5'
    pcBaseUrl='https://ybpctest.hzinsights.com'
}else if(env.envVersion==='trial'){//体验版
    baseApiUrl='http://8.136.199.33:8612/api'
    h5BaseUrl='http://xcxh5test.hzinsights.com/xcx_h5'
    pcBaseUrl='https://ybpctest.hzinsights.com'
}else if(env.envVersion==='release'){//正式版
    baseApiUrl='https://yanbao.hzinsights.com/api'
    h5BaseUrl='https://details.hzinsights.com'
    pcBaseUrl='https://ybpc.hzinsights.com'
}


// 配置图片资源 https://hzstatic.hzinsights.com/static/icon/hzyb/
const globalImgUrls={
    chartWait:'https://hzstatic.hzinsights.com/static/icon/hzyb/chart_wait.png',
    chartEmpty:'https://hzstatic.hzinsights.com/static/icon/hzyb/chart_empty.png',
    activityNoAuth:'https://hzstatic.hzinsights.com/static/icon/hzyb/activity_no_auth.png',
    imgSuccess:'https://hzstatic.hzinsights.com/static/icon/hzyb/success_icon.png',
    loginTop:'https://hzstatic.hzinsights.com/static/icon/hzyb/login_top_img.png',
    idCardExp:'https://hzstatic.hzinsights.com/static/icon/hzyb/idcard_exp.jpg',//名片示例图
    defaultAvatar:'https://hzstatic.hzinsights.com/static/icon/hzyb/default_avatar.png',
    ficcServiceImg:'https://hzstatic.hzinsights.com/static/icon/hzyb/ficc_service.png',//ficc服务banner图
    ficcServicePage:'https://hzstatic.hzinsights.com/static/icon/hzyb/ficc_service_page.png',//ficc服务介绍图
}

// 默认tabbar数据
const defaultTabBarListConfig=[
    {
        key: "report",
        pagePath: "pages/report/report",
        text: "报告",
        iconPath: "../static/tabbar/report.png",
        selectedIconPath: "../static/tabbar/report-s.png",
    },
    {
        key: "buy",
        pagePath: "pages/buy/buy",
        text: "已购",
        iconPath: "../static/tabbar/buy.png",
        selectedIconPath: "../static/tabbar/buy-s.png",
    },
    {
        key: "chart",
        pagePath: "pages/chart/chart",
        text: "ETA图库",
        iconPath: "../static/tabbar/chart.png",
        selectedIconPath: "../static/tabbar/chart-s.png",
    },
    {
        key: "activity",
        pagePath: "pages/activity/activity",
        text: "活动",
        iconPath: "../static/tabbar/activity.png",
        selectedIconPath: "../static/tabbar/activity-s.png",
    },
   /*  {
        key: "user",
        pagePath: "pages/user/user",
        text: "我的",
        iconPath: "../static/tabbar/user.png",
        selectedIconPath: "../static/tabbar/user-s.png",
    }, */
    {
        key: "question",
        pagePath: "pages/question/question",
        text: "问答",
        iconPath: "../static/tabbar/question.png",
        selectedIconPath: "../static/tabbar/question-s.png"
    }
]


module.exports={
    baseApiUrl,
    globalImgUrls,
    defaultTabBarListConfig,
    h5BaseUrl,
    pcBaseUrl
}